Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.discovery
Interface MulticastAnnouncementDecoder

All Superinterfaces:
  DiscoveryFormatProvider

public interface MulticastAnnouncementDecoder
extends DiscoveryFormatProvider

Interface implemented by classes which decode multicast announcement data according to discovery protocol formats.

Since:
  2.0

Method Summary
`MulticastAnnouncement` | `decodeMulticastAnnouncement(ByteBuffer buf, InvocationConstraints constraints)` Decodes the multicast announcement data contained in the given buffer in a manner that satisfies the specified absolute constraints, returning a `MulticastAnnouncement` instance that contains the decoded data.

Methods inherited from interface com.sun.jini.discovery.DiscoveryFormatProvider
`getFormatName`

Method Detail

### decodeMulticastAnnouncement

    public MulticastAnnouncement decodeMulticastAnnouncement(ByteBuffer buf,
                                                             InvocationConstraints constraints)
                                                      throws IOException

  Decodes the multicast announcement data contained in the given buffer in a manner that satisfies the specified absolute constraints, returning a `MulticastAnnouncement` instance that contains the decoded data. `null` constraints are considered equivalent to empty constraints.

  Parameters:
    `buf` - a buffer containing the packet data to decode
    `constraints` - the constraints to apply when decoding the data, or `null`
  Returns:
    the decoded multicast announcement data
  Throws:
    `IOException` - if an error occurs in interpreting the data
    `UnsupportedConstraintException` - if unable to satisfy the specified constraints
    `SecurityException` - if the given constraints cannot be satisfied due to insufficient caller permissions
    `NullPointerException` - if `buf` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved